net.sf.jasperreports.crosstabs.interactive

## Class CrosstabInteractiveJsonHandler

- java.lang.Object
- - net.sf.jasperreports.crosstabs.interactive.CrosstabInteractiveJsonHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementJsonHandler

      public class CrosstabInteractiveJsonHandler
      extends java.lang.Object
      implements GenericElementJsonHandler

  Version:
    $Id: CrosstabInteractiveJsonHandler.java 6737 2013-11-13 14:31:19Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_COLUMN_INDEX`
    `static java.lang.String` | `ATTRIBUTE_CROSSTAB_ID`
    `static java.lang.String` | `ELEMENT_PARAMETER_CROSSTAB_FRAGMENT_ID`
    `static java.lang.String` | `ELEMENT_PARAMETER_CROSSTAB_ID`
    `static java.lang.String` | `ELEMENT_PARAMETER_DATA_COLUMNS`
    `static java.lang.String` | `ELEMENT_PARAMETER_ROW_GROUPS`
    `static java.lang.String` | `ELEMENT_PARAMETER_START_COLUMN_INDEX`
    `static java.lang.String` | `PROPERTY_COLUMN_INDEX`
    `static java.lang.String` | `PROPERTY_CROSSTAB_ID`

    - ### Fields inherited from interface net.sf.jasperreports.engine.export.GenericElementJsonHandler

      `PARAMETER_CLEAR_CONTEXT_CACHE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrosstabInteractiveJsonHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJsonFragment(JsonExporterContext exporterContext, JRGenericPrintElement element)` Returns an JSON fragment that is to be inserted in the export output.
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_CROSSTAB_ID

          public static final java.lang.String PROPERTY_CROSSTAB_ID

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_CROSSTAB_ID

          public static final java.lang.String ATTRIBUTE_CROSSTAB_ID

      See Also:
        Constant Field Values

    - #### PROPERTY_COLUMN_INDEX

          public static final java.lang.String PROPERTY_COLUMN_INDEX

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_COLUMN_INDEX

          public static final java.lang.String ATTRIBUTE_COLUMN_INDEX

      See Also:
        Constant Field Values

    - #### ELEMENT_PARAMETER_CROSSTAB_ID

          public static final java.lang.String ELEMENT_PARAMETER_CROSSTAB_ID

      See Also:
        Constant Field Values

    - #### ELEMENT_PARAMETER_CROSSTAB_FRAGMENT_ID

          public static final java.lang.String ELEMENT_PARAMETER_CROSSTAB_FRAGMENT_ID

      See Also:
        Constant Field Values

    - #### ELEMENT_PARAMETER_START_COLUMN_INDEX

          public static final java.lang.String ELEMENT_PARAMETER_START_COLUMN_INDEX

      See Also:
        Constant Field Values

    - #### ELEMENT_PARAMETER_ROW_GROUPS

          public static final java.lang.String ELEMENT_PARAMETER_ROW_GROUPS

      See Also:
        Constant Field Values

    - #### ELEMENT_PARAMETER_DATA_COLUMNS

          public static final java.lang.String ELEMENT_PARAMETER_DATA_COLUMNS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CrosstabInteractiveJsonHandler

          public CrosstabInteractiveJsonHandler()

  - ### Method Detail

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

    - #### getJsonFragment

          public java.lang.String getJsonFragment(JsonExporterContext exporterContext,
                                         JRGenericPrintElement element)

      Description copied from interface: `GenericElementJsonHandler`
      Returns an JSON fragment that is to be inserted in the export output.
      Specified by:
        `getJsonFragment` in interface `GenericElementJsonHandler`
        `element` - the generic print element
      Returns:
        the JSON fragment that represents the exported element

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com